Page MenuHomePhabricator

NFC. Add description comments to Function header
ClosedPublic

Authored by Quolyk on Dec 27 2017, 11:42 PM.

Diff Detail

Event Timeline

Quolyk created this revision.Dec 27 2017, 11:42 PM
ruiu added a comment.Dec 27 2017, 11:49 PM

I'm not familiar with this file. Can you re-send it to the person who wrote this code?

brzycki accepted this revision.Dec 28 2017, 3:51 PM

It looks ok to me. I’d prefer the comments reflect the overloaded method parameters but it’s not necessary.

include/llvm/IR/Function.h
267

@Quolyk you might want to mention here this overloaded method uses a string reference to locate the function attribute.

277

Same as line 267.

349

Same as line 267.

This revision is now accepted and ready to land.Dec 28 2017, 3:51 PM
Quolyk added a comment.Jan 2 2018, 6:10 AM

It looks ok to me. I’d prefer the comments reflect the overloaded method parameters but it’s not necessary.

I've looked through other places with similar semantics, and it's quite common that comments do not reflect parameters type, so I decided to make it that way.

Quolyk closed this revision.Jan 2 2018, 6:14 AM

It looks ok to me. I’d prefer the comments reflect the overloaded method parameters but it’s not necessary.

I've looked through other places with similar semantics, and it's quite common that comments do not reflect parameters type, so I decided to make it that way.

Sounds good to me. Adding documentation is always appreciated.